import { ExtendedPlayer, StyleOptions, WatermarkOptions } from "../types";
/** Default watermark options */
export declare const defaultWatermarkOptions: Partial<WatermarkOptions>;
declare class UI {
    private player;
    private playerContainerId;
    private playerDocument;
    private playerVideoElement;
    private watermarkContainerId;
    constructor(player: ExtendedPlayer, playerContainerId: string, playerVideoElement: HTMLVideoElement);
    private initPictureOnPicture;
    /**
     * Toggle the full screen state of the live stream.
     */
    fullscreen(): Promise<any>;
    /**
     * Toggle the detachable status of the live stream.
     */
    detach(): Promise<PictureInPictureWindow>;
    /**
     * Toggles the default playback overlay of the player.
     * @param enable Enables or disables the UI controls.
     */
    toggle(enable?: boolean): boolean;
    /**
     * Sets the thumbnail image of the player.
     * @param updated Thumbnail URL or data URI
     */
    thumbnail(updated?: string): void;
    watermark(options?: WatermarkOptions): void;
    setStyles(style?: StyleOptions): void;
}
export default UI;
