import { ExtendedPlayer, IntRange } from "../types";
declare class Volume {
    private player;
    constructor(player: ExtendedPlayer);
    /**
     * Set the volume of the current stream.
     * @param value Integer value between 0 (inclusive) and 100
     */
    set(value: IntRange<0, 101>): void;
    /**
     * Mutes the audio that is being played in the active stream.
     */
    mute(): void;
    /**
     * Unmutes the audio that is being played in the active stream.
     */
    unmute(): void;
    /**
     * Increase the volume of the Bayes Web Player by one point.
     */
    increase(): void;
    /**
     * Decrease the volume of the Bayes Web Player by one point.
     */
    decrease(): void;
}
export default Volume;
